> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/admin/deliveries/

> Search through deliveries.



## OpenAPI

````yaml get /api/admin/deliveries/
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/deliveries/:
    get:
      tags:
        - Deliveries
      description: Search through deliveries.
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            type: string
          in: query
          name: fromIdentifier
          required: false
        - schema:
            type: string
          in: query
          name: toIdentifier
          required: false
        - schema:
            type: string
          in: query
          name: journeyId
          required: false
        - schema:
            anyOf:
              - description: >-
                  Unique identifier for the user. Should be the id of the user
                  in your system. Only applicable to logged in users.
                examples:
                  - '1043'
                  - user-123
                  - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                type: string
              - type: array
                items:
                  description: >-
                    Unique identifier for the user. Should be the id of the user
                    in your system. Only applicable to logged in users.
                  examples:
                    - '1043'
                    - user-123
                    - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                  type: string
          in: query
          name: userId
          required: false
        - schema:
            type: array
            items:
              anyOf:
                - type: string
                  enum:
                    - Email
                - type: string
                  enum:
                    - MobilePush
                - type: string
                  enum:
                    - Sms
                - type: string
                  enum:
                    - Webhook
          in: query
          name: channels
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: from
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: to
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: statuses
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: templateIds
          required: false
        - schema:
            type: string
          in: query
          name: startDate
          required: false
        - schema:
            type: string
          in: query
          name: endDate
          required: false
        - schema:
            anyOf:
              - type: string
                enum:
                  - from
              - type: string
                enum:
                  - to
              - type: string
                enum:
                  - status
              - type: string
                enum:
                  - sentAt
          in: query
          name: sortBy
          required: false
        - schema:
            anyOf:
              - type: string
                enum:
                  - Asc
              - type: string
                enum:
                  - Desc
          in: query
          name: sortDirection
          required: false
        - schema:
            type: string
          in: query
          name: broadcastId
          required: false
        - schema:
            type: array
            items:
              type: object
              properties:
                key:
                  type: string
                value:
                  anyOf:
                    - type: string
                    - type: number
              required:
                - key
                - value
          in: query
          name: triggeringProperties
          required: false
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          in: query
          name: groupId
          required: false
        - schema:
            type: array
            items:
              type: object
              properties:
                key:
                  type: string
                value:
                  anyOf:
                    - type: string
                    - type: number
              required:
                - key
                - value
          in: query
          name: contextValues
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspaceId:
                    type: string
                  items:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Sms
                                provider:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Twilio
                                        sid:
                                          type: string
                                      required:
                                        - type
                                        - sid
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - SignalWire
                                        status:
                                          type: string
                                        sid:
                                          type: string
                                      required:
                                        - type
                                        - status
                                        - sid
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Test
                                      required:
                                        - type
                                to:
                                  type: string
                                body:
                                  type: string
                              required:
                                - type
                                - provider
                                - to
                                - body
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            broadcastId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            isAnonymous:
                              type: boolean
                            originMessageId:
                              type: string
                            triggeringMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              anyOf:
                                - type: string
                                  enum:
                                    - DFInternalMessageSent
                                - type: string
                                  enum:
                                    - DFEmailDropped
                                - type: string
                                  enum:
                                    - DFEmailDelivered
                                - type: string
                                  enum:
                                    - DFEmailOpened
                                - type: string
                                  enum:
                                    - DFEmailClicked
                                - type: string
                                  enum:
                                    - DFEmailBounced
                                - type: string
                                  enum:
                                    - DFEmailMarkedSpam
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Email
                                provider:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - MailChimp
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - SendGrid
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - AmazonSes
                                        messageId:
                                          type: string
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - PostMark
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Resend
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Gmail
                                        messageId:
                                          type: string
                                        threadId:
                                          type: string
                                      required:
                                        - type
                                        - messageId
                                        - threadId
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Smtp
                                        messageId:
                                          type: string
                                      required:
                                        - type
                                        - messageId
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Test
                                      required:
                                        - type
                                to:
                                  type: string
                                headers:
                                  type: object
                                  additionalProperties:
                                    type: string
                                attachments:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      mimeType:
                                        type: string
                                      name:
                                        type: string
                                    required:
                                      - mimeType
                                      - name
                                from:
                                  type: string
                                subject:
                                  type: string
                                replyTo:
                                  type: string
                                cc:
                                  type: string
                                bcc:
                                  type: string
                                name:
                                  type: string
                                attachmentUserProperties:
                                  description: >-
                                    Names of user properties to attach to the
                                    email as attachments.
                                  type: array
                                  items:
                                    type: string
                                emailContentsType:
                                  type: string
                                  enum:
                                    - Code
                                body:
                                  type: string
                              required:
                                - type
                                - provider
                                - to
                                - from
                                - subject
                                - body
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            broadcastId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            isAnonymous:
                              type: boolean
                            originMessageId:
                              type: string
                            triggeringMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              type: string
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Webhook
                                to:
                                  type: string
                                request:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                    method:
                                      type: string
                                    headers:
                                      type: object
                                      additionalProperties:
                                        type: string
                                    params: {}
                                    data: {}
                                    responseType:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - json
                                        - type: string
                                          enum:
                                            - text
                                response:
                                  type: object
                                  properties:
                                    status:
                                      type: number
                                    headers:
                                      type: object
                                      additionalProperties:
                                        anyOf:
                                          - type: string
                                          - type: number
                                          - type: array
                                            items:
                                              type: string
                                          - type: 'null'
                                          - type: boolean
                                    body: {}
                              required:
                                - type
                                - to
                                - request
                                - response
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            broadcastId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            isAnonymous:
                              type: boolean
                            originMessageId:
                              type: string
                            triggeringMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              anyOf:
                                - type: string
                                  enum:
                                    - DFInternalMessageSent
                                - type: string
                                  enum:
                                    - DFEmailDropped
                                - type: string
                                  enum:
                                    - DFEmailDelivered
                                - type: string
                                  enum:
                                    - DFEmailOpened
                                - type: string
                                  enum:
                                    - DFEmailClicked
                                - type: string
                                  enum:
                                    - DFEmailBounced
                                - type: string
                                  enum:
                                    - DFEmailMarkedSpam
                            to:
                              type: string
                            channel:
                              type: string
                              enum:
                                - Email
                            from:
                              type: string
                            subject:
                              type: string
                            replyTo:
                              type: string
                            cc:
                              type: string
                            bcc:
                              type: string
                            name:
                              type: string
                            headers:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - name
                                  - value
                            attachmentUserProperties:
                              description: >-
                                Names of user properties to attach to the email
                                as attachments.
                              type: array
                              items:
                                type: string
                            emailContentsType:
                              type: string
                              enum:
                                - Code
                            body:
                              type: string
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            broadcastId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            isAnonymous:
                              type: boolean
                            originMessageId:
                              type: string
                            triggeringMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - to
                            - channel
                            - sentAt
                            - updatedAt
                            - userId
                            - originMessageId
                            - templateId
                  cursor:
                    type: string
                  previousCursor:
                    type: string
                required:
                  - workspaceId
                  - items

````